## routerkeygenpc 1.1.0+git20190721.c1f1665

=== CMakeLists.txt ===
#
# RouterKeygen build system
# Author: Rui Araújo <ruka.araujo AT gmail.com>
#
# Project Info
cmake_minimum_required (VERSION 2.8.9)


set(PROJECT_NAME_SHORT   "RouterKeygen")
string(TOLOWER ${PROJECT_NAME_SHORT} PROJECT_NAME_SHORT_LOWER)
project(${PROJECT_NAME_SHORT_LOWER} CXX)
set(PROJECT_NAME_LONG    "RouterKeygen")
set(PROJECT_DESCRIPTION_SHORT "Generates WPA/WEP keys based on MAC and/or BSSID")
set(PROJECT_DESCRIPTION  "Default WPA/WEP key generator for several routers such as Thomson based routers ( this includes Thomson, SpeedTouch, Orange, Infinitum, BBox, DMax, BigPond, O2Wireless, Otenet, Cyta, TN_private and Blink ), DLink ( only some models ), Pirelli Discus, Eircom, Verizon FiOS ( only some routers supported), Alice AGPF, FASTWEB Pirelli and Telsey, Huawei (some InfinitumXXXX), Wlan_XXXX or Jazztel_XXXX, Wlan_XX ( only some are supported), Ono ( P1XXXXXX0000X ), WlanXXXXXX YacomXXXXXX and WifiXXXXXX, Sky V1 routers, Clubinternet.box v1 and v2 ( TECOM-AH4XXXX ), InfostradaWifi, CONN-X, Megared, EasyBox Arcor and Vodafone, PBS (Austria), MAXCOM, PTV, TeleTu/Tele2, Axtel Axtel-xtremo, Intercable, OTE, Cabovisao Sagem, Alice in Germany and Speedport.")
set(PROJECT_COPYRIGHT    "Copyright (C) 2010-2015 Rui Araújo")
set(PROJECT_CONTACT      "ruka.araujo@gmail.com")
set(PROJECT_VENDOR       "Rui Araújo")
set(ORG_WEBSITE          "https://github.com/routerkeygen/routerkeygenPC")

# Configuring build type
if(NOT CMAKE_BUILD_TYPE)
    set(CMAKE_BUILD_TYPE "Debug" CACHE STRING
        "Choose the type of build, options are: None Debug Release RelWithDebInfo MinSizeRel."
        FORCE)
    message("setting build type to '${CMAKE_BUILD_TYPE}'")
ELSE(NOT CMAKE_BUILD_TYPE)
    message("Build type set to '${CMAKE_BUILD_TYPE}'")
endif(NOT CMAKE_BUILD_TYPE)

if(MSYS)
    # Building in release for MSYS
    set(CMAKE_BUILD_TYPE "Release")
    set_property(DIRECTORY APPEND PROPERTY COMPILE_DEFINITIONS_RELEASE QT_NO_DEBUG)
    # Use mingw's sprintf instead of windows's
    add_definitions( -D__USE_MINGW_ANSI_STDIO=1 )
endif(MSYS)

# Project Version
set(${PROJECT_NAME_SHORT_LOWER}_VERSION_MAJOR 1)
set(${PROJECT_NAME_SHORT_LOWER}_VERSION_MINOR 1)
set(${PROJECT_NAME_SHORT_LOWER}_VERSION_PATCH 0)
set(PROJECT_VERSION ${${PROJECT_NAME_SHORT_LOWER}_VERSION_MAJOR}.${${PROJECT_NAME_SHORT_LOWER}_VERSION_MINOR}.${${PROJECT_NAME_SHORT_LOWER}_VERSION_PATCH})
set(CPACK_PACKAGE_VERSION ${PROJECT_VERSION})

message(STATUS "Version: ${PROJECT_VERSION}")


# System on which project is built
site_name(HOSTNAME)
set(SYSNAME ${CMAKE_SYSTEM}-${CMAKE_SYSTEM_PROCESSOR})

# CMake settings
cmake_minimum_required(VERSION 2.8.9)
set(CMAKE_COLOR_MAKEFILE ON)
set(CMAKE_VERBOSE_MAKEFILE OFF)

# set path to additional CMake modules
set(CMAKE_MODULE_PATH ${CMAKE_SOURCE_DIR}/cmake ${CMAKE_MODULE_PATH})

if(APPLE)
    set(CMAKE_OSX_ARCHITECTURES x86_64 )
endif(APPLE)

if (UNIX)
    set(WITH_PROFILING FALSE CACHE BOOL "Build with profiling support" )
    set(CMAKE_INSTALL_PREFIX /usr)
endif(UNIX)

# Search and includeQt parameters
find_package(OpenSSL REQUIRED )
find_package(Qt5Core QUIET)
if (Qt5Core_FOUND)
    message("Using Qt${Qt5Core_VERSION_STRING}")
    find_package(Qt5Widgets REQUIRED)
    find_package(Qt5Network REQUIRED)
    find_package(Qt5Script REQUIRED)
    find_package(Qt5LinguistTools QUIET)
    set(ROUTERKEYGEN_LIBS ${Qt5Script_LIBRARIES}  ${Qt5Network_LIBRARIES} ${Qt5Widgets_LIBRARIES} ${QtCore_LIBRARIES} ${OPENSSL_LIBRARIES} )
    include_directories(${Qt5Script_INCLUDE_DIRS} ${Qt5Network_INCLUDE_DIRS} ${Qt5Widgets_INCLUDE_DIRS} ${Qt5Core_INCLUDE_DIRS})
    # Use the compile definitions defined in the Qt 5 modules
    add_definitions(${Qt5Script_DEFINITIONS} ${Qt5Network_DEFINITIONS} ${Qt5Widgets_DEFINITIONS} ${Qt5Core_DEFINITIONS})
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${Qt5Script_EXECUTABLE_COMPILE_FLAGS} ${Qt5Network_EXECUTABLE_COMPILE_FLAGS} ${Qt5Core_EXECUTABLE_COMPILE_FLAGS}")
else(Qt5Core_FOUND)
    message("Using Qt4")
    find_package(Qt4 4.8.0 COMPONENTS QtCore QtGui QtNetwork QtScript REQUIRED )
    set(ROUTERKEYGEN_LIBS ${QT_QTSCRIPT_LIBRARY} ${QT_QTNETWORK_LIBRARY} ${QT_QTGUI_LIBRARY} ${QT_QTCORE_LIBRARY} ${OPENSSL_LIBRARIES} ) # Add here any other QT module or other library
    include(${QT_USE_FILE})
#FindQt4.cmake is so brain-dead when Xcompiling
    add_definitions(${QT_DEFINITIONS})
endif(Qt5Core_FOUND)

# MSVC specific configuration (for compiling on windows)
if(MSVC)
    set(ROUTERKEYGEN_LIBS ${ROUTERKEYGEN_LIBS} ${QT_QTMAIN_LIBRARY})
endif(MSVC)

if(MSYS AND CMAKE_CROSS_COMPILING)
    set (ROUTERKEYGEN_LIBS ${ROUTERKEYGEN_LIBS} crypt32 jpeg png tiff mng lzma lcms2 z imm32 winmm ws2_32 )
endif(MSYS AND CMAKE_CROSS_COMPILING)

# Layout of CMakeQt installation
set(CMAKE_RUNTIME_OUTPUT_DIRECTORY ${CMAKE_BINARY_DIR}/bin)

# set common dirs for MAC and UNIX
set(DEFAULT_BIN_SUBDIR     bin)
set(DEFAULT_LIB_SUBDIR     lib)
set(DEFAULT_DATA_SUBDIR    share)
set(DEFAULT_SRC_SUBDIR     src)
set(DEFAULT_INCLUDE_SUBDIR include)

# set ROUTERKEYGEN path params
set(ROUTERKEYGEN_BIN_SUBDIR     "${DEFAULT_BIN_SUBDIR}"        CACHE STRING "Subdirectory where executables will be installed")
set(ROUTERKEYGEN_LIB_SUBDIR     "${DEFAULT_LIB_SUBDIR}"        CACHE STRING "Subdirectory where libraries will be installed")
set(ROUTERKEYGEN_DATA_SUBDIR    "${DEFAULT_DATA_SUBDIR}"       CACHE STRING "Subdirectory where ROUTERKEYGEN's data will be installed")
set(ROUTERKEYGEN_SRC_SUBDIR     "${DEFAULT_SRC_SUBDIR}"        CACHE STRING "Subdirectory where ROUTERKEYGEN's source is")
set(ROUTERKEYGEN_INCLUDE_SUBDIR "${DEFAULT_INCLUDE_SUBDIR}"    CACHE STRING "Subdirectory where header files will be installed")

# Full paths for the installation
set(ROUTERKEYGEN_BIN_DIR     ${CMAKE_INSTALL_PREFIX}/${ROUTERKEYGEN_BIN_SUBDIR})
set(ROUTERKEYGEN_LIB_DIR     ${CMAKE_INSTALL_PREFIX}/${ROUTERKEYGEN_LIB_SUBDIR})
set(ROUTERKEYGEN_INCLUDE_DIR ${CMAKE_INSTALL_PREFIX}/${ROUTERKEYGEN_INCLUDE_SUBDIR})
set(ROUTERKEYGEN_DATA_DIR    ${CMAKE_INSTALL_PREFIX}/${ROUTERKEYGEN_DATA_SUBDIR}/routerkeygen/)
set(ROUTERKEYGEN_DOC_DIR     ${CMAKE_INSTALL_PREFIX}/${ROUTERKEYGEN_DATA_SUBDIR}/doc/routerkeygen/)
set(ROUTERKEYGEN_EFFECTS_DIR ${CMAKE_INSTALL_PREFIX}/${ROUTERKEYGEN_LIB_SUBDIR}/routerkeygen/effects/)
set(ROUTERKEYGEN_DESKTOP_DIR ${CMAKE_INSTALL_PREFIX}/${ROUTERKEYGEN_DATA_SUBDIR}/applications/)
set(ROUTERKEYGEN_PIXMAPS_DIR ${CMAKE_INSTALL_PREFIX}/${ROUTERKEYGEN_DATA_SUBDIR}/pixmaps/)

# Manual page - makes sense only on unix systems
if(UNIX)
    set(DEFAULT_MANUAL_SUBDIR  ${ROUTERKEYGEN_DATA_SUBDIR}/man)
    set(ROUTERKEYGEN_MANUAL_SUBDIR  "${DEFAULT_MANUAL_SUBDIR}"  CACHE STRING "Subdirectory where manual files will be installed")
    mark_as_advanced(ROUTERKEYGEN_MANUAL_SUBDIR)
    set(ROUTERKEYGEN_MANUAL_DIR  ${CMAKE_INSTALL_PREFIX}/${ROUTERKEYGEN_MANUAL_SUBDIR})
endif(UNIX)

# Recursively add sub dirs
add_subdirectory(lang)
add_subdirectory(src)
add_subdirectory(nsis)


# Copy stuff to doc subdirectory
INSTALL (FILES debian/copyright AUTHORS INSTALL NEWS README.md doc/routerkeygen.1
         DESTINATION ${ROUTERKEYGEN_DOC_DIR})

# Copy .desktop file
INSTALL (FILES share/routerkeygen.desktop DESTINATION ${ROUTERKEYGEN_DESKTOP_DIR})

# Copy the ROUTERKEYGEN pixmap
INSTALL (FILES share/routerkeygen.png DESTINATION ${ROUTERKEYGEN_PIXMAPS_DIR})

#############################################################
# Enable packaging

include(InstallRequiredSystemLibraries)

set(CPACK_STRIP_FILES "TRUE")
set(CPACK_SYSTEM_NAME ${CMAKE_SYSTEM_NAME})
set(CPACK_PACKAGE_NAME ${PROJECT_NAME_SHORT})
set(CPACK_PACKAGE_DESCRIPTION "${PROJECT_DESCRIPTION}")
set(CPACK_PACKAGE_DESCRIPTION_SUMMARY "${PROJECT_DESCRIPTION_SHORT} \n\\ ${PROJECT_DESCRIPTION}")
set(CPACK_PACKAGE_VENDOR ${PROJECT_VENDOR})
set(CPACK_PACKAGE_CONTACT ${PROJECT_CONTACT})
set(CPACK_PACKAGE_DESCRIPTION_FILE "${CMAKE_SOURCE_DIR}/README.md")
set(CPACK_RESOURCE_FILE_README ${CMAKE_SOURCE_DIR}/README.md)
set(CPACK_RESOURCE_FILE_LICENSE "${CMAKE_SOURCE_DIR}/COPYING")
set(CPACK_PACKAGE_INSTALL_DIRECTORY "${CMAKE_CURRENT_BINARY_DIR}")
set(CPACK_PACKAGE_CHANGELOG_FILE)

# Force Package Name
set(CPACK_PACKAGE_FILE_NAME ${PROJECT_NAME}-${CPACK_SYSTEM_NAME}-${CMAKE_SYSTEM_PROCESSOR})

# NSIS Windows installer
if(MSYS AND NOT UNIX)
    # There is a bug in NSI that does not handle full unix paths properly. Make
    # sure there is at least one set of four (4) backslashes.
    set(CPACK_PACKAGE_ICON "${CMAKE_SOURCE_DIR}/share\\\\routerkeygen.png")
    set(CPACK_NSIS_INSTALLED_ICON_NAME "\\\\routerkeygen.exe")
    set(CPACK_NSIS_DISPLAY_NAME "${CPACK_PACKAGE_INSTALL_DIRECTORY} ROUTERKEYGEN")
    set(CPACK_NSIS_HELP_LINK "https:\\\\\\\\github.com/routerkeygen/routerkeygenPC/")
    set(CPACK_NSIS_URL_INFO_ABOUT "https:\\\\\\\\github.com/routerkeygen/routerkeygenPC/")
    set(CPACK_NSIS_CONTACT "ruka.araujo AT gmail.com")
    set(CPACK_NSIS_MODifY_PATH ON)
endif(MSYS AND NOT UNIX)

# RPM packages
include(cmake/RpmBuild.cmake)
if(RPMBUILD_FOUND AND NOT MSYS)
    set(CPACK_GENERATOR "RPM")
    set(CPACK_RPM_PACKAGE_SUMMARY ${CPACK_PACKAGE_DESCRIPTION_SUMMARY})
    set(CPACK_RPM_PACKAGE_NAME ${CPACK_PACKAGE_NAME})
    set(CPACK_RPM_PACKAGE_VERSION ${PROJECT_VERSION})
    set(CPACK_RPM_PACKAGE_LICENSE "GPLv3+ License")
    set(CPACK_RPM_PACKAGE_GROUP ${PROJECT_VENDOR})
    set(CPACK_RPM_PACKAGE_VENDOR ${PROJECT_VENDOR})
    set(CPACK_RPM_PACKAGE_SUMMARY ${PROJECT_DESCRIPTION})
    set(CPACK_RPM_PACKAGE_DEPENDS "libc, qt ( >= 4.6 ), qt-x11 ( >= 4.6 ), NetworkManager ( >= 0.8 )") # Specify dependencies here
    set(CPACK_set_DESTDIR TRUE)
endif(RPMBUILD_FOUND AND NOT MSYS)

# Debian packages
include(cmake/DpkgBuild.cmake)
if(DPKG_FOUND AND NOT MSYS)
    set(CPACK_GENERATOR "DEB")
    set(CPACK_DEBIAN_PACKAGE_NAME ${CPACK_PACKAGE_NAME})
    set(CPACK_DEBIAN_PACKAGE_VERSION ${CPACK_PACKAGE_VERSION})
    set(CPACK_DEBIAN_PACKAGE_DESCRIPTION ${CPACK_PACKAGE_DESCRIPTION_SUMMARY})
    set(CPACK_DEBIAN_PACKAGE_MAINTAINER "${CPACK_PACKAGE_VENDOR} <${CPACK_PACKAGE_CONTACT}>")
    set(CPACK_DEBIAN_PACKAGE_PRIORITY "optional")
    set(CPACK_DEBIAN_PACKAGE_DEBUG ON)
    set(CPACK_DEBIAN_PACKAGE_DEPENDS ${PACKAGE_REQUIRES})

    find_package (UnixCommands REQUIRED)
    add_custom_target (compress_changelog ALL COMMAND ${GZIP} -9 -c ${PROJECT_SOURCE_DIR}/NEWS > changelog.gz)
    install (FILES ${PROJECT_BINARY_DIR}/changelog.gz DESTINATION share/doc/${PROJECT_NAME_SHORT_LOWER} COMPONENT app)

    if(Qt5Core_FOUND)
        set(CPACK_DEBIAN_PACKAGE_DEPENDS "libc6 (>= 2.3.1-6), qtbase5-dev, network-manager ( >= 0.8 )") # Specify dependencies here
    else(Qt5Core_FOUND)
        set(CPACK_DEBIAN_PACKAGE_DEPENDS "libc6 (>= 2.3.1-6), libqt4-gui ( >= 4.6 ), libqt4-network ( >= 4.6 ), network-manager ( >= 0.8 )") # Specify dependencies here
    endif(Qt5Core_FOUND)
        set(CPACK_set_DESTDIR TRUE)
    endif(DPKG_FOUND AND NOT MSYS)

set(CPACK_PACKAGE_EXECUTABLES ${PROJECT_NAME_SHORT_LOWER} "ROUTERKEYGEN")
INCLUDE(CPack)

#For debug purposes, print all variables
#get_cmake_property(_variableNames VARIABLES)
#foreach (_variableName ${_variableNames})
#    message(STATUS "${_variableName}=${${_variableName}}\n")
#endforeach()

=== lang/CMakeLists.txt ===
#
# RouterKeygen build system
# Authors: Rui Araújo <ruka.araujo@gmail.com>
#

## RCC file
set(TS_QRC ${CMAKE_BINARY_DIR}/lang/resources-lang.qrc)

if(Qt5LinguistTools_FOUND OR CMAKE_CROSS_COMPILING)
    set(QT_LUPDATE_EXECUTABLE lupdate)
    set(QT_LRELEASE_EXECUTABLE lrelease)
endif(Qt5LinguistTools_FOUND OR CMAKE_CROSS_COMPILING)

if(NOT QT_LUPDATE_EXECUTABLE )
    message(WARNING "Could not find lupdate. You won't be able to update translations.")
endif(NOT QT_LUPDATE_EXECUTABLE)

if(NOT QT_LRELEASE_EXECUTABLE)
    message(WARNING "Could not find lrelease. Your build won't contain translations.")
    ## Create an empty RCC file
    file(WRITE ${TS_QRC} "<RCC></RCC>")
endif(NOT QT_LRELEASE_EXECUTABLE)

## Wraps the supplied .ts files in lrelease commands
macro(QT_ADD_TRANSLATIONS outfiles)
    file(WRITE ${TS_QRC} "<RCC><qresource prefix=\"lang\">\n")
    FOREACH (it ${ARGN})
        get_filename_component(it ${it} ABSOLUTE)
        get_filename_component(outfile ${it} NAME_WE)

        file(APPEND ${TS_QRC} "<file>${outfile}.qm</file>\n")

        set(outfile ${CMAKE_BINARY_DIR}/lang/${outfile}.qm)

        add_custom_command(
            OUTPUT ${outfile}
            COMMAND ${QT_LRELEASE_EXECUTABLE}
            ARGS -compress -silent -nounfinished ${it} -qm ${outfile}
            MAIN_DEPENDENCY ${it}
        )

        set(${outfiles} ${${outfiles}} ${outfile})
    endforeach(it)
    file(APPEND ${TS_QRC} "</qresource></RCC>")
endmacro(QT_ADD_TRANSLATIONS)

## set available translations file ids here
option(LANGUAGES "Using translations")
set(ALL_LANGUAGES
        en
        pt
	nl
        es # add here more lang tokens like jp, ro etc. as per ts files
   )

## Check if user has provided specific LANGS option
if(NOT DEFINED LANGS)
    set(LANGUAGES ${ALL_LANGUAGES} CACHE STRING "Using translations" FORCE)
else(NOT DEFINED LANGS)
    if(NOT LANGS)
        set(LANGUAGES "" CACHE STRING "Using translations" FORCE)
    elseif(LANGS STREQUAL *)
        set(LANGUAGES ${ALL_LANGUAGES} CACHE STRING "Using translations" FORCE)
    else(NOT LANGS)
        STRING(REGEX MATCHALL [a-zA-Z_]+
               langs1 ${LANGS})
        set(LANGUAGES ${langs1} CACHE STRING "Using translations" FORCE)
    endif(NOT LANGS)
endif(NOT DEFINED LANGS)

## Display what translations files will be processed
message(STATUS "Translations: ${LANGUAGES}")

## Collect all translations files that are to be processed
foreach(LANGUAGE ${LANGUAGES})
    file(GLOB temp_TS ${CMAKE_SOURCE_DIR}/lang/routerkeygen_*${LANGUAGE}*.ts)
    list(APPEND routerkeygen_TS ${temp_TS})
endforeach()

if(QT_LRELEASE_EXECUTABLE)
    ## Wraps the collected translations
    QT_ADD_TRANSLATIONS(routerkeygen_QMS ${routerkeygen_TS})

    ## Create a target that runs lrelease for all the .ts files
    ## "ALL" means that it will be run by default.
    add_custom_target(translations ALL DEPENDS ${routerkeygen_QMS})
endif(QT_LRELEASE_EXECUTABLE)

if(QT_LUPDATE_EXECUTABLE)
    ## Search for all translatable strings in the sources directory
    file(GLOB_RECURSE translate_SRCS ${CMAKE_SOURCE_DIR}/src/*.cpp
                                 ${CMAKE_SOURCE_DIR}/src/*.hpp)
    file(GLOB_RECURSE translate_HDRS ${CMAKE_SOURCE_DIR}/src/*.h)
    file(GLOB_RECURSE translate_UIS ${CMAKE_SOURCE_DIR}/src/*.ui)

    set(translate_SRCS ${translate_SRCS} ${translate_HDRS} ${translate_UIS})

    ## Create a target that runs lupdate for all the sources and UI files
    add_custom_target(lupdate
        COMMAND ${QT_LUPDATE_EXECUTABLE} -noobsolete ${translate_SRCS} -ts ${routerkeygen_TS}
    )
endif(QT_LUPDATE_EXECUTABLE)

=== nsis/CMakeLists.txt ===
#
# NSIS builder
#

# Output file name
set(NSIS_OUTPUT_FILE "${PROJECT_NAME}_installer.exe")

# NSIS is only available for Win32 builds (native or cross compilation)
if(MSYS)
    set(NSIS_OUTPUT_DIR "${CMAKE_BINARY_DIR}/bin/")
    # Check contribs existence
    if(EXISTS "${CMAKE_FIND_ROOT_PATH}/")
        message(STATUS "${CMAKE_FIND_ROOT_PATH} found!")
        # Copy necessary libraries required at runtime
        file(COPY "${CMAKE_FIND_ROOT_PATH}/bin/"
             DESTINATION ${NSIS_OUTPUT_DIR}
             FILES_MATCHING PATTERN "*.dll")
        message(STATUS "Configuring NSIS")
        # Copy and configure the nsis script file
        configure_file(installer.nsi "${NSIS_OUTPUT_DIR}/installer.nsi" @ONLY)
        configure_file(FileAssociation.nsh "${NSIS_OUTPUT_DIR}/FileAssociation.nsh" COPYONLY)
        add_custom_target(installer
            ${CMAKE_COMMAND} -E remove "${NSIS_OUTPUT_DIR}${NSIS_OUTPUT_FILE}"
            COMMAND makensis "${NSIS_OUTPUT_DIR}/installer.nsi"
            WORKING_DIRECTORY "${NSIS_OUTPUT_DIR}"
            )
        add_dependencies(installer routerkeygen)
    else(EXISTS "${CMAKE_FIND_ROOT_PATH}/")
        message(WARNING "${CMAKE_FIND_ROOT_PATH} not available, you won't be able to create an installer. Read INSTALL.win32 for details.")
    endif(EXISTS "${CMAKE_FIND_ROOT_PATH}/")
endif(MSYS)

=== src/CMakeLists.txt ===
#
# RouterKeygen build system
# Author: Rui Araújo <ruka.araujo AT gmail.com>
#

#Put here CPPs

file(GLOB ROUTERKEYGEN_SRCS
    "algorithms/*.cpp"
    "config/*.cpp"
    "qcmdlineparser/*.cpp"
    "dialog/*.cpp"
    "*.cpp"
)

list( APPEND ROUTERKEYGEN_SRCS
    wifi/QScanResult.cpp
    wifi/QWifiManagerPrivate.cpp
    wifi/QWifiManager.cpp
)

file(GLOB ROUTERKEYGEN_HDRS
    "algorithms/*.h"
    "config/*.h"
    "dialog/*.h"
    "qcmdlineparser/*.h"
    "*.h"
)

list( APPEND ROUTERKEYGEN_HDRS
    wifi/QWifiManagerPrivate.h
    wifi/QWifiManager.h
    wifi/QScanResult.h
)

#Put here QRC files to be Rcc-ed
set(ROUTERKEYGEN_RCC
    ../resources/resources.qrc
   ${CMAKE_CURRENT_BINARY_DIR}/../lang/resources-lang.qrc
)



if(Qt5_POSITION_INDEPENDENT_CODE)
  set(CMAKE_POSITION_INDEPENDENT_CODE ON)
endif()


#include paths for routerkeygen
include_directories(
  ${OPENSSL_INCLUDE_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
  .
)

configure_file(${CMAKE_SOURCE_DIR}/cmake/version.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/version.h)


#Put here UI files
set(ROUTERKEYGEN_UIS
    forms/routerkeygen.ui
    forms/welcome_dialog.ui
    forms/aboutdialog.ui
    forms/UpdateDialog.ui
)

if(UNIX AND NOT APPLE )
    list( APPEND ROUTERKEYGEN_SRCS wifi/QWifiManagerPrivateUnix.cpp )
    list( APPEND ROUTERKEYGEN_HDRS wifi/QWifiManagerPrivateUnix.h )
    include_directories(/usr/include/NetworkManager)
    if(Qt5Core_FOUND)
        find_package(Qt5DBus)
        set(ROUTERKEYGEN_LIBS ${ROUTERKEYGEN_LIBS} ${Qt5DBus_LIBRARIES})
    else(Qt5Core_FOUND)
        set(ROUTERKEYGEN_LIBS ${ROUTERKEYGEN_LIBS} ${QT_QTDBUS_LIBRARY})
    endif(Qt5Core_FOUND)
endif(UNIX AND NOT APPLE )


if( MINGW )
    # resource compilation for MinGW
    add_custom_command( OUTPUT ${CMAKE_CURRENT_BINARY_DIR}/icon.o
        COMMAND ${CMAKE_RC_COMPILER} -I${CMAKE_SOURCE_DIR} -i${CMAKE_SOURCE_DIR}/cmake/icon.rc
        -o ${CMAKE_CURRENT_BINARY_DIR}/icon.o )
    set(ROUTERKEYGEN_SRCS ${ROUTERKEYGEN_SRCS} ${CMAKE_CURRENT_BINARY_DIR}/icon.o)
    set(LINK_FLAGS -Wl,-subsystem,windows)
endif( MINGW )

if(MSYS OR MSVC)
    enable_language(ASM)
    list( APPEND ROUTERKEYGEN_SRCS wifi/QWifiManagerPrivateWin.cpp )
    list( APPEND ROUTERKEYGEN_HDRS wifi/QWifiManagerPrivateWin.h )
    set(GUI_TYPE WIN32)
endif(MSYS OR MSVC)

if(APPLE)
    list( APPEND ROUTERKEYGEN_SRCS wifi/QWifiManagerPrivateMac.cpp mac/macloginitemsmanager.mm)
    list( APPEND ROUTERKEYGEN_HDRS wifi/QWifiManagerPrivateMac.h mac/macloginitemsmanager.h )
    set(GUI_TYPE MACOSX_BUNDLE)
    set(ROUTERKEYGEN_SRCS ${ROUTERKEYGEN_SRCS} ../share/routerkeygen.icns)
    find_library(COCOA_LIBRARY Cocoa)
    find_path(COCOA_INCLUDE_DIR Cocoa/Cocoa.h)
    set(ROUTERKEYGEN_LIBS ${ROUTERKEYGEN_LIBS} ${COCOA_LIBRARY})
endif(APPLE)

set(CMAKE_AUTOMOC ON)
if (Qt5Core_FOUND)
    qt5_wrap_ui(ROUTERKEYGEN_UIS_H ${ROUTERKEYGEN_UIS})
    qt5_add_resources(ROUTERKEYGEN_RCC_SRCS ${ROUTERKEYGEN_RCC})
    add_definitions(-DQT_DISABLE_DEPRECATED_BEFORE=0x000000) #handle deprecated methods
else(Qt5Core_FOUND)
    qt4_wrap_ui(ROUTERKEYGEN_UIS_H ${ROUTERKEYGEN_UIS})
    qt4_add_resources(ROUTERKEYGEN_RCC_SRCS ${ROUTERKEYGEN_RCC})
endif(Qt5Core_FOUND)


if(APPLE)
    set(ROUTERKEYGEN_RCC_SRCS ${ROUTERKEYGEN_RCC_SRCS} ../share/routerkeygen.entitlements )
endif(APPLE)


add_executable(routerkeygen ${GUI_TYPE} ${ROUTERKEYGEN_SRCS} ${ROUTERKEYGEN_HDRS} ${ROUTERKEYGEN_UIS_H} ${ROUTERKEYGEN_RCC_SRCS})

# Add translations
add_dependencies(routerkeygen translations)

# Link the target against the Qt libraries
target_link_libraries(routerkeygen ${ROUTERKEYGEN_LIBS} )


# Now we are done.
install(TARGETS routerkeygen
        BUNDLE  DESTINATION ${ROUTERKEYGEN_BIN_DIR}
        RUNTIME DESTINATION ${ROUTERKEYGEN_BIN_DIR})

add_custom_command(
    OUTPUT ${CMAKE_SOURCE_DIR}/bin/routerkeygen
    COMMAND ${CMAKE_COMMAND} copy ${CMAKE_CURRENT_SOURCE_DIR}/routerkeygen ${CMAKE_SOURCE_DIR}/bin/routerkeygen
    DEPENDS ${CMAKE_BINARY_DIR}/src/routerkeygen
)

if(APPLE)
    set_target_properties(routerkeygen PROPERTIES MACOSX_BUNDLE_INFO_PLIST ../share/MacOSXBundleInfo.plist.in)
    set_source_files_properties(../share/routerkeygen.entitlements PROPERTIES MACOSX_PACKAGE_LOCATION Resources)
    set_source_files_properties(../share/routerkeygen.icns PROPERTIES  MACOSX_PACKAGE_LOCATION Resources)
    set(MACOSX_BUNDLE_ICON_FILE routerkeygen.icns)
    set(MACOSX_BUNDLE_BUNDLE_NAME ${PROJECT_NAME_SHORT})
    set(MACOSX_BUNDLE_SHORT_VERSION_STRING ${PROJECT_VERSION})
    set(MACOSX_BUNDLE_LONG_VERSION_STRING ${PROJECT_VERSION})
    set(MACOSX_BUNDLE_INFO_STRING ${PROJECT_DESCRIPTION})
    set(MACOSX_BUNDLE_COPYRIGHT ${PROJECT_COPYRIGHT})
endif(APPLE)

if(NOT MSVC)
    add_definitions(-W -Wall -D_FORTIFY_SOURCE=2  )
endif(NOT MSVC)

if (APPLE)
    #Stop Apple from complaining that OpenSSL is deprecated
    #add_definitions(-DMAC_OS_X_VERSION_MIN_REQUIRED=MAC_OS_X_VERSION_10_8﻿)
endif(APPLE)

=== debian/changelog ===
routerkeygenpc (1.1.0+git20190721.c1f1665-0kali2) kali-dev; urgency=medium

  * Use CMAKE_BUILD_TYPE=Release instead of Debug

 -- Sophie Brun <sophie@offensive-security.com>  Tue, 08 Jun 2021 14:32:03 +0200

routerkeygenpc (1.1.0+git20190721.c1f1665-0kali1) kali-dev; urgency=medium

  * Initial release (see 4082)

 -- Sophie Brun <sophie@offensive-security.com>  Mon, 31 May 2021 16:08:42 +0200

=== debian/control ===
Source: routerkeygenpc
Section: misc
Priority: optional
Maintainer: Kali Developers <devel@kali.org>
Uploaders: Sophie Brun <sophie@offensive-security.com>
Build-Depends: debhelper-compat (= 13), cmake, libssl-dev, qtscript5-dev, qttools5-dev, qttools5-dev-tools, libnm-dev, libglib2.0-dev, pkg-config
Standards-Version: 4.5.1
Homepage: https://github.com/routerkeygen/routerkeygenPC
Vcs-Browser: https://gitlab.com/kalilinux/packages/routerkeygenpc
Vcs-Git: https://gitlab.com/kalilinux/packages/routerkeygenpc.git
Rules-Requires-Root: no

Package: routerkeygenpc
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Router Keygen generate default WPA/WEP keys
 This package generates default WPA/WEP keys for the several routers:
  * Thomson based routers ( this includes Thomson, SpeedTouch, Orange,
    Infinitum, BBox, DMax, BigPond, O2Wireless, Otenet, Cyta , TN_private,
    Blink )
  * DLink ( only some models )
  * Pirelli Discus
  * Eircom
  * Verizon FiOS ( only some routers supported)
  * Alice AGPF
  * FASTWEB Pirelli and Telsey
  * Huawei (some InfinitumXXXX)
  * Wlan_XXXX or Jazztel_XXXX
  * Wlan_XX ( only some are supported)
  * Ono ( P1XXXXXX0000X )
  * WlanXXXXXX, YacomXXXXXX and WifiXXXXXX
  * Sky V1 routers
  * Clubinternet.box v1 and v2 ( TECOM-AH4XXXX )
  * InfostradaWifi
  * CONN-X
  * Megared
  * EasyBox, Arcor and Vodafone
  * PBS (Austria)
  * MAXCOM
  * PTV
  * TeleTu/Tele2
  * Axtel, Axtel-xtremo
  * Intercable
  * OTE
  * Cabovisao Sagem
  * Alice in Germany
  * Speedport

=== debian/rules ===
#!/usr/bin/make -f
# output every command that modifies files on the build system.
# export DH_VERBOSE = 1

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- -DCMAKE_BUILD_TYPE=Release

override_dh_auto_build:
	dh_auto_build
	cd cli && qmake && make

=== debian/tests/control ===
Test-Command: routerkeygen-cli -h
Restrictions: superficial

=== debian/watch ===
version=4
opts="mode=git, pretty=1.1.0+git%cd.%h, pgpmode=none" \
   https://github.com/routerkeygen/routerkeygenPC.git \
   HEAD debian uupdate
